Complete a notification action
Mark a single in-app (inbox) notification's action (primary or secondary) as completed by its unique identifier notificationId and action type actionType.
Authorization
Authorization<token>API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".
In: header
Path Parameters
subscriberIdRequiredstringThe identifier of the subscriber
notificationIdRequiredstringThe identifier of the notification
actionTypeRequiredstringThe type of action (primary or secondary)
"primary" | "secondary"Query Parameters
contextKeysarray<string>Context keys for filtering
Header Parameters
idempotency-keystringA header for idempotency purposes
Response Body
OK
idRequiredstringUnique identifier of the notification
transactionIdRequiredstringTransaction identifier of the notification
subjectstringSubject of the notification
bodyRequiredstringBody content of the notification
toRequiredobjectSubscriber this notification was sent to
isReadRequiredbooleanWhether the notification has been read
isSeenRequiredbooleanWhether the notification has been seen
isArchivedRequiredbooleanWhether the notification has been archived
isSnoozedRequiredbooleanWhether the notification is snoozed
snoozedUntilstring | nullISO timestamp when the notification will be unsnoozed
deliveredAtarray<string>Timestamps when the notification was delivered
createdAtRequiredstringISO timestamp when the notification was created
readAtstring | nullISO timestamp when the notification was read
firstSeenAtstring | nullISO timestamp when the notification was first seen
archivedAtstring | nullISO timestamp when the notification was archived
avatarstringAvatar URL for the notification
primaryActionobjectPrimary action button for the notification
secondaryActionobjectSecondary action button for the notification
channelTypeRequiredstringChannel type through which the message is sent
"in_app" | "email" | "sms" | "chat" | "push"tagsarray<string>Tags associated with the notification
dataobjectCustom data payload of the notification
redirectobjectRedirect configuration for the notification
workflowobjectWorkflow associated with the notification
severityRequiredstringSeverity of the workflow
"high" | "medium" | "low" | "none"Delete all notifications POST
Permanently delete all in-app (inbox) notifications matching the specified filters. Supports context-based filtering.
Revert a notification action PATCH
Revert a single in-app (inbox) notification's action (primary or secondary) to pending state by its unique identifier **notificationId** and action type **actionType**.